Name:           btanks
Version:        0.9.8083
Release:        16%{?dist}
Summary:        Funny battle on your desk
Summary(ru):    Веселая маленькая война на столе

Group:          Amusements/Games
# Libraries clunk, mrt and sdlx are under LGPLv2+, all other sources are GPLv2+
License:        GPLv2+ with exceptions and LGPLv2+
URL:            http://btanks.sourceforge.net/
# Remove RPath from binaries
Patch0:         %{name}-remove-rpath.patch
# Disable video previews of map levels (we don't distribute video anyway)
Patch1:         %{name}-disable-smpeg.patch
# Avoid problem with lib checks using c++ instead of c.
Patch2:         %{name}-libcheck.patch
# Don't override Fedora's options
Patch3:         %{name}-excessopts.patch
# gcc is now more picky about casting
Patch4:         %{name}-gcc.patch
# bted doesn't explicitly link to clunl
Patch5:         %{name}-dso.patch
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Patch6:         btanks-gcc47.patch
Patch7:		btanks-0.9.8083-lua-5.2.patch
Source1:        %{name}.desktop
Source2:        bted.desktop
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

Requires:       %{name}-data = %{version}-%{release}
BuildRequires:  mesa-libGL-devel SDL-devel SDL_image-devel expat-devel
BuildRequires:  libvorbis-devel lua-devel zlib-devel scons zip dos2unix
BuildRequires:  desktop-file-utils
# Disabled video previews of map levels
#BuildRequires:  smpeg-devel

%description
Battle Tanks is a funny battle on your desk, where you can choose one of three
vehicles and eliminate your enemy using the whole arsenal of weapons. has
original cartoon-like graphics and cool music, it is fun and dynamic, it has
several network modes for deathmatch and cooperative.
What else is needed to have fun with your friends?

And all is packed and ready for you in Battle Tanks.

%description -l ru
«Battle Tanks» — это веселая маленькая война на столе, где вы можете выбрать
одну из трех доступных боевых машин и, используя весь доступный арсенал
вооружения, уничтожать своих противников. Это оригинальная графика в
мультипликационном стиле, забойная музыка, юмор, динамичность и большое
количество оружия. Это сетевые потасовки и кооперативные миссии в разнообразных
игровых локациях.
Что еще нужно игроку, чтобы отлично провести время с друзьями?

Все это вы найдете в «Battle Tanks».


%package        data
Summary:        Data files for %{name}
Group:          Amusements/Games
Requires:       %{name} = %{version}-%{release}

BuildArch:      noarch

%description    data
The %{name}-data package contains data files that are needed for
running %{name}.


%prep
%setup -q
%patch0 -b .remove-rpath
%patch1 -b .disable-smpeg
%patch2 -b .libcheck
%patch3 -b .excessopts
%patch4 -b .gcc
%patch5 -b .dso
%patch6 -b .gcc47
%patch7 -p1 -b .lua-52
dos2unix -k *.txt ChangeLog *.url LICENSE LICENSE.EXCEPTION

iconv -f latin1 -t utf-8 LICENSE.EXCEPTION > LICENSE.EXCEPTION.new
touch -r LICENSE.EXCEPTION{,.new}
mv -f LICENSE.EXCEPTION{.new,}

iconv -f latin1 -t utf-8 README-fr.txt > README-fr.txt.new
touch -r README-fr.txt{,.new}
mv -f README-fr.txt{.new,}

iconv -f cp1251 -t utf-8 README-ru.txt > README-ru.txt.new
touch -r README-ru.txt{,.new}
mv -f README-ru.txt{.new,}


%build
# flags need to be passed via environment or they get treated as a single
# word rather than as multiple arguments. CXXFLAGS is only needed if
# there are c++ only flags that need to get added.
export CFLAGS="%{optflags}"; \
        scons %{?_smp_mflags} \
        prefix=%{_prefix} \
        lib_dir=%{_libdir} \
        plugins_dir=%{_libdir}/%{name} \
        resources_dir=%{_datadir}/%{name} \
        mode=release \
        enable_lua=true


%install
rm -rf %{buildroot}

# binaries
install -dm 755 %{buildroot}%{_bindir}
install -m 755 build/release/engine/%{name} %{buildroot}%{_bindir}
install -m 755 build/release/editor/bted %{buildroot}%{_bindir}

# libs
install -dm 755 %{buildroot}%{_libdir}/%{name}
install -m 755 build/release/engine/libbtanks_engine.so %{buildroot}%{_libdir}
install -m 755 build/release/mrt/libmrt.so %{buildroot}%{_libdir}
install -m 755 build/release/sdlx/libsdlx.so %{buildroot}%{_libdir}
install -m 755 build/release/clunk/libclunk.so %{buildroot}%{_libdir}

# plugins
install -m 755 build/release/objects/libbt_objects.so %{buildroot}%{_libdir}/%{name}

# data-files (see pack-resources.sh)
install -dm 755 %{buildroot}%{_datadir}/%{name}
install -dm 755 %{buildroot}%{_datadir}/%{name}/data
pushd data
find . \( -wholename \*.svn\* -or -name \*.wav \) -exec rm -rf {} \;
cp -pR * %{buildroot}%{_datadir}/%{name}/data
#zip -q -0 -r ../resources.dat * -x \*.svn\* -x \*.wav
popd
#install -m 644 resources.dat %{buildroot}%{_datadir}/%{name}

# icon
install -dm 755 %{buildroot}%{_datadir}/pixmaps
install -p -m 644 data/tiles/icon.png %{buildroot}%{_datadir}/pixmaps/%{name}.png

# menu-entries
install -dm 755 %{buildroot}%{_datadir}/applications
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE2}

# Register as an application to be visible in the software center
#
# NOTE: It would be *awesome* if this file was maintained by the upstream
# project, translated and installed into the right place during `make install`.
#
# See http://www.freedesktop.org/software/appstream/docs/ for more details.
#
mkdir -p $RPM_BUILD_ROOT%{_datadir}/appdata
cat > $RPM_BUILD_ROOT%{_datadir}/appdata/%{name}.appdata.xml <<EOF
<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright 2014 Ravi Srinivasan <ravishankar.srinivasan@gmail.com> -->
<!--
EmailAddress: jessefrgsmith@yahoo.ca
SentUpstream: 2014-09-17
-->
<application>
  <id type="desktop">btanks.desktop</id>
  <metadata_license>CC0-1.0</metadata_license>
  <summary>A fun filled scrolling game with battle tanks</summary>
  <description>
    <p>
      Battle tanks is a fun filled old school style scrolling battle tank game.
    </p>
    <p>
      It has original cartoon style graphics and sound track and is multiplayer
      focused.
      Choose from 3 different vehicles and destroy your enemies using a large
      assortment of weapons.
    </p>
  </description>
  <url type="homepage">http://btanks.sourceforge.net/</url>
  <screenshots>
    <screenshot type="default">https://raw.githubusercontent.com/hughsie/fedora-appstream/master/screenshots-extra/btanks/a.png</screenshot>
    <screenshot>https://raw.githubusercontent.com/hughsie/fedora-appstream/master/screenshots-extra/btanks/b.png</screenshot>
    <screenshot>https://raw.githubusercontent.com/hughsie/fedora-appstream/master/screenshots-extra/btanks/c.png</screenshot>
  </screenshots>
</application>
EOF

%clean
rm -rf %{buildroot}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc README-{editor,en,fr,ru}.txt ChangeLog *.url LICENSE LICENSE.EXCEPTION
%{_bindir}/%{name}
%{_bindir}/bted
%{_libdir}/*.so
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*.so
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/bted.desktop

%files data
%defattr(-,root,root,-)
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/data


%changelog
* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.8083-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.8083-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.8083-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.8083-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.8083-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.9.8083-11
- Rebuilt for GCC 5 C++11 ABI change

* Thu Mar 26 2015 Richard Hughes <rhughes@redhat.com> - 0.9.8083-10
- Add an AppData file for the software center

* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.8083-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.8083-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.8083-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon May 13 2013 Tom Callaway <spot@fedoraproject.org> - 0.9.8083-6
- lua 5.2

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.8083-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.8083-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jan 25 2012 Bruno Wolff III <bruno@wolff.to> - 0.9.8083-3
- Fixes for gcc 4.7

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.8083-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Jun 25 2011 Bruno Wolff III <bruno@wolff.to> - 0.9.8083-1
- Update to 0.9.8083 - bug 602387
- Release notice: http://btanks.sourceforge.net/blog/2009/12/30/battletanks-09-was-just-released/
- EXCEPTION changed to LICENSE.EXCEPTION
- Pass flags via environment so that they get split
- Fix issues with gcc being more picky about stuff
- engine lib had a name change
- Fix FTBFS - bug 715853
- bted and btanks don't explicitly link clunk

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.7686-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.7686-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Apr 03 2009 Alexey Torkhov <atorkhov@gmail.com> - 0.8.7686-10
- Make btanks-data noarch
- Rename libbt.so to libbtanks.so because of conflict with blackbox

* Wed Mar 18 2009 Alexey Torkhov <atorkhov@gmail.com> - 0.8.7686-8
- Package data as separate files instead of big zip blob

* Tue Mar 17 2009 Alexey Torkhov <atorkhov@gmail.com> - 0.8.7686-7
- Add forgotten desktop-file-utils build requires
- Fixing bad BuildRoot

* Tue Mar 17 2009 Alexey Torkhov <atorkhov@gmail.com> - 0.8.7686-6
- Fixed source url
- Properly installing desktop files

* Tue Mar 17 2009 Alexey Torkhov <atorkhov@gmail.com> - 0.8.7686-5
- Add license for libraries

* Tue Mar 17 2009 Alexey Torkhov <atorkhov@gmail.com> - 0.8.7686-4
- Split data to subpackage instead of libs

* Tue Mar 17 2009 Alexey Torkhov <atorkhov@gmail.com> - 0.8.7686-3
- Add patch backups
- Simplify scripts a bit
- Move libs to -libs subpackage to ensure better work in multilib environment
- Cleanier remove-smpeg patch

* Wed Mar 11 2009 Alexey Torkhov <atorkhov@gmail.com> - 0.8.7686-2
- Updated package to conform packaging guidelines

* Tue Oct 28 2008 Arkady L. Shane <ashejn@yandex-team.ru> - 0.8.7686-1
- update to 0.8.7686
